<template>
  <div>
    <label v-if="label != null" :for="id" class="text-indigo-600">
      {{ label }}</label>
    <input
        :id="id"
        :type="type"
        :name="name"
        :placeholder="placeholder"
        :value="value"
        :required="required"
        @input="$emit('input', $event)"
        class="appearance-none rounded-none relative block w-full px-3 py-2 border border-gray-300 placeholder-gray-500 text-gray-900 rounded-t-md focus:outline-none focus:ring-indigo-500 focus:border-yellow-500 focus:z-10 sm:text-sm"
    />
  </div>
</template>

<script>
export default {
  name: "TextField",
  props: {
    id: String,
    type: String,
    name: String,
    placeholder: String,
    required: Boolean,
    label: {
      default: null,
      Type: String
    },
    value: {
      default: "",
      type: String
    }
  }
}
</script>

<style scoped></style>
